Bug 968165 - Remove unsupported cache strategies from the docs
Remove unsupported cache strategies from the docs
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Hibernate_Reference_Guide (Show other bugs)
5.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Mumford
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 03:07 EDT by Adam Kovari
Modified: 2015-08-31 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 00:41:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Kovari 2013-05-29 03:07:20 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Web_Platform/5/html/Hibernate_Core_Reference_Guide/performance-cache-nonstrict.html

Section Number and Name: 
20.2.4. Strategy: nonstrict read/write

Describe the issue: 
Hibernate does not support this strategy in EAP 5,
from the source codes:
// todo : add support for READ_WRITE ( + NONSTRICT_READ_WRITE ??? )

Suggestions for improvement: 
We should remove this section and put a note that this strategy is not supported.

Additional information: 
EAP 6 does not provide it either.
Comment 1 Scott Mumford 2014-03-25 00:57:10 EDT
The section has been removed from the document source and the change committed.
Moving to MODIFIED until a new version is available for QA review.
Comment 2 Scott Mumford 2014-03-26 20:24:31 EDT
The content has been removed and replaced with a sentence stating that non-strict read/write is not supported in EAP 5.

The update is available for review at:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Hibernate_Core_Reference_Guide/index.html#performance-cache-nonstrict

(Please ensure you are viewing version 5.3.0-1 or later)
Comment 3 Martin Simka 2014-04-15 09:00:43 EDT
verified during EAP 5.3.0.ER3 test cycle

Note You need to log in before you can comment on or make changes to this bug.